Package com.avaya.clientservices.collaboration.librarysharing

## Interface LibraryManager

-     public interface LibraryManager

  Class that represents library management functions such as add, edit, remove documents from the network document library. Not Supported

  The library sharing feature is currently not supported.

  This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteDocument​(LibraryDocument document, CallCompletionHandler handler)` | Not supported in Client SDK. Deletes the specified document from the network library.
    `void` | `renameDocument​(LibraryDocument document, java.lang.String newName, CallCompletionHandler handler)` | Not supported in Client SDK. Renames the specified document.
    `void` | `uploadDocument​(java.lang.String name, LibraryDocumentType type, java.lang.String filePath, CallCompletionHandler handler)` | Not supported in Client SDK. Uploads a new document to the network library.

- - ### Method Detail

    - #### deleteDocument

          void deleteDocument​(LibraryDocument document,
                              CallCompletionHandler handler)

      Not supported in Client SDK.
      Deletes the specified document from the network library. The deletion operation is reflected on the DataSet that is returned from getLibraryContent().
      Parameters:
        `document` - Document to be deleted.
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.

    - #### renameDocument

          void renameDocument​(LibraryDocument document,
                              java.lang.String newName,
                              CallCompletionHandler handler)

      Not supported in Client SDK.
      Renames the specified document. The update is reflected on the DataSet that is returned from getLibraryContent().
      Parameters:
        `document` - Document to be renamed.
        `newName` - new name of the document.
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.

    - #### uploadDocument

          void uploadDocument​(java.lang.String name,
                              LibraryDocumentType type,
                              java.lang.String filePath,
                              CallCompletionHandler handler)

      Not supported in Client SDK.
      Uploads a new document to the network library. The new document is reflected on the DataSet that is returned from getLibraryContent().
      Parameters:
        `name` - Name of the document to be uploaded to the network library.
        `type` - Type of the document (e.g., presentation, document, etc.)
        `filePath` - Local file path of the document to be uploaded.
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.